| « PreviousNext » | |
![]() ![]() | Did this page help you? Yes | No | Tell us about it... |
This operation aborts a multipart upload. After a multipart upload is aborted, no additional parts can be uploaded using that upload ID. The storage consumed by any previously uploaded parts will be freed. However, if any part uploads are currently in progress, those part uploads might or might not succeed. As a result, it might be necessary to abort a given multipart upload multiple times in order to completely free all storage consumed by all parts.
For information on permissions required to use the multipart upload API, go to Multipart Upload API and Permissions in the Amazon S3 Developer Guide.
DELETE /ObjectName?uploadId=UploadIdHTTP/1.1 Host:BucketName.s3.amazonaws.com Date:DateAuthorization:Signature
This operation does not use request parameters.
This operation uses only Request Headers common to most requests. For more information, see Common Request Headers.
This operation does not use request elements.
This operation uses only response headers that are common to most responses. For more information, see Common Response Headers.
This operation does not use response elements.
| Error Code | Description | HTTP Status Code | SOAP Fault Code Prefix |
|---|---|---|---|
NoSuchUpload | The specified multipart upload does not exist. The upload ID might be invalid, or the multipart upload might have been aborted or completed. | 404 Not Found | Client |
For general information about Amazon S3 errors and a list of error codes, see Error Responses.
The following request aborts a multipart upload identified by its upload ID.
DELETE /example-object?uploadId=VXBsb2FkIElEIGZvciBlbHZpbmcncyBteS1tb3ZpZS5tMnRzIHVwbG9hZ HTTP/1.1 Host: example-bucket.s3.amazonaws.com Date: Mon, 1 Nov 2010 20:34:56 GMT Authorization: AWS AKIAIOSFODNN7EXAMPLE:0RQf3/cRonhpaBX5sCYVf1bNRuU=
HTTP/1.1 204 OK x-amz-id-2: Weag1LuByRx9e6j5Onimru9pO4ZVKnJ2Qz7/C1NPcfTWAtRPfTaOFg== x-amz-request-id: 996c76696e6727732072657175657374 Date: Mon, 1 Nov 2010 20:34:56 GMT Content-Length: 0 Connection: keep-alive Server: AmazonS3